Linux环境下安装RabbitMQ

更新软件库

  安装任何软件包之前,建议使用以下命令更新软件包和存储库

yum -y update

安装Erlang

  由于RabbitMQ是基于Erlang(面向高并发的语言)语言开发,所以在安装RabbitMQ之前,需要先安装Erlang。 

// 安装erlang,可能yum里面没有
yum -y install erlang socat
// 如yum没有怎需要先安装EPEL存储库,之后重新安装
// yum -y install epel-release

检查Erlang版本

erl -version

显示为如下类似则安装成功

Erlang (ASYNC_THREADS,HIPE) (BEAM) emulator version 5.10.4

安装RabbitMQ

下载RabbitMQ

wget https://www.rabbitmq.com/releases/rabbitmq-server/v3.6.10/rabbitmq-server-3.6.10-1.el7.noarch.rpm

如没有wget,则先安装wget,yum -y install wget

安装

yum install rabbitmq-server-3.6.10-1.el7.noarch.rpm 

使用RabbitMQ

服务端命令

// 开启
service rabbitmq-server start
// 检查状态
service rabbitmq-server status
// 开启控制台
/sbin/rabbitmq-plugins enable rabbitmq_management 
// 开启控制台后需要重启
service rabbitmq-server restart

对外暴露端口15672/5672 

控制台访问地址http://localhost:15672,默认账号密码是guest/guest

如想以ip地址访问,则需要修改/usr/lib/rabbitmq/lib/rabbitmq_server-3.6.15/ebin/rabbit.app文件,修改内容{loopback_users, [<<"guest">>]} 改为{loopback_users, []},重启生效

用户管理

  创建用户并赋予管理员权限

rabbitmqctl add_user admin StrongPassword
rabbitmqctl set_user_tags admin administrator
rabbitmqctl set_permissions -p / admin “.*” “.*” “.*”

以上内容参考https://www.linuxprobe.com/linux-rabbitmq.html

©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页